: Class Smtp

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ts.biff
Class Smtp

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--ts.biff.Smtp

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, javax.swing.event.DocumentListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public final class Smtp
extends javax.swing.JDialog
implements java.awt.event.ActionListener, javax.swing.event.DocumentListener

A simple dialog for sending a SMTP mail. Mail sent from this dialog is not stored. The dialog send smtp mail, thats all. The dialog tries to be intelligent about sending mail. E.g. if a mail has been sent and the send button is pressed again without any changes in the fields, a warning appears. It will insert a signature file (~/.signature) if it exist, and try to guess the users from address. The to: and from: fields are required, and the message will not be sent if those fields are empty.

The class uses a SmtpAgent for the actual mail transport. The singelton pattern is used to have only one instance of this class in the JVM at anytime.

Version:
  $Id: Smtp.java,v 1.20 1999/11/28 01:27:03 hauk Exp $
Author:
  Jan-Henrik Haukeland <hauk@tildeslash.com>
See Also:
  `SmtpAgent`, Serialized Form

Inner classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected boolean` | `isSent` True if the message has been sent
`protected javax.swing.JTextArea` | `myBody`
`protected javax.swing.JTextField` | `myCc`
`protected javax.swing.JButton` | `myClearButton` If pressed clear all fields
`protected javax.swing.JTextField` | `myFrom`
`protected javax.swing.JButton` | `mySendButton` If pressed send the composed mail
`protected javax.swing.JLabel` | `myStatus`
`protected javax.swing.JTextField` | `mySubject`
`protected javax.swing.JTextField` | `myTo`
`protected SmtpAgent` | `smtp` Smtp agent used to send mail

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Called if the send or clear button was clicked.
`void` | `changedUpdate(javax.swing.event.DocumentEvent e)` If a mail field is changed, mark mail as new
`void` | `closeSmtp()` Hide the dialog
`static Smtp` | `getInstance()` Returns the Smtp instance singleton
`void` | `insertUpdate(javax.swing.event.DocumentEvent e)` If a mail field is changed, mark mail as new
`boolean` | `isSent()` Returns true if the current message has been sent
`void` | `removeUpdate(javax.swing.event.DocumentEvent e)` If a mail field is changed, mark mail as new
`void` | `showSmtp()` Show the dialog

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mySendButton

    protected javax.swing.JButton mySendButton

  If pressed send the composed mail

### myClearButton

    protected javax.swing.JButton myClearButton

  If pressed clear all fields

### mySubject

    protected javax.swing.JTextField mySubject

### myTo

    protected javax.swing.JTextField myTo

### myCc

    protected javax.swing.JTextField myCc

### myFrom

    protected javax.swing.JTextField myFrom

### myBody

    protected javax.swing.JTextArea myBody

### myStatus

    protected javax.swing.JLabel myStatus

### isSent

    protected boolean isSent

  True if the message has been sent

### smtp

    protected SmtpAgent smtp

  Smtp agent used to send mail

Method Detail

### getInstance

    public static Smtp getInstance()

  Returns the Smtp instance singleton
  Returns:
    a Smtp instance singelton

### showSmtp

    public void showSmtp()

  Show the dialog

### closeSmtp

    public void closeSmtp()

  Hide the dialog

### isSent

    public boolean isSent()

  Returns true if the current message has been sent
  Returns:
    boolean, if the message has been sent

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Called if the send or clear button was clicked. The mail is sent iff the send button receives an ActionEvent. If the clear button receives an ActionEvent, clear all fields and mark mail as not sent (i.e. new mail)
  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `e` - An ActionEvent

### insertUpdate

    public void insertUpdate(javax.swing.event.DocumentEvent e)

  If a mail field is changed, mark mail as new
  Specified by:
    `insertUpdate` in interface `javax.swing.event.DocumentListener`
  Parameters:
    `e` - A DocumentEvent received when a field is changed

### removeUpdate

    public void removeUpdate(javax.swing.event.DocumentEvent e)

  If a mail field is changed, mark mail as new
  Specified by:
    `removeUpdate` in interface `javax.swing.event.DocumentListener`
  Parameters:
    `e` - A DocumentEvent received when a field is changed

### changedUpdate

    public void changedUpdate(javax.swing.event.DocumentEvent e)

  If a mail field is changed, mark mail as new
  Specified by:
    `changedUpdate` in interface `javax.swing.event.DocumentListener`
  Parameters:
    `e` - A DocumentEvent received when a field is changed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD